Bug 125590 - x11 security extension corrupts xclock display
Summary: x11 security extension corrupts xclock display
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-09 05:43 UTC by Barry K. Nathan
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 11:47:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Barry K. Nathan 2004-06-09 05:43:21 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.6)
Gecko/20040523 Firefox/0.8

Description of problem:
Now that fc-devel has OpenSSH 3.8.1p1, we can finally use the X11
security extension. However, many X11 libraries have problems with the
security extension, or so I hear. Whatever the cause, it does cause
problems.

Since FC-devel has OpenSSH 3.8.1p1 now, I can use an fc-devel system
to ssh into itself, and reproduce problems that way. :) This is a
report of one such bug.

Version-Release number of selected component (if applicable):
xorg-x11-6.7.0-2

How reproducible:
Always

Steps to Reproduce:
1. ssh -X localhost
2. Run "xclock" in the SSH session
3. Look at the resulting window
    

Actual Results:  the clock looks like it has a few extra scribbles

Expected Results:  a proper-looking clock

Additional info:

I'll attach a screenshot if anyone wants.

The workaround is to use -Y instead of -X.

I'm not completely sure which component is at fault; xorg-x11 is just
my best guess.

Comment 1 Bill Nottingham 2004-08-05 20:52:14 UTC
IIRC, something about X security changes shaped windows, to avoid
people figuring out what you're running via the shape. But I could be
wrong.

Comment 2 Chris Kuivenhoven 2004-09-04 21:24:54 UTC
Barry,

I attempted to reproduce this but was unable to ascertain any
difference between the local xclock and xclock over ssh. Could you
check to see if this is still a problem, and if so, attach a
screenshot identifying the differences?

My environment is Fedora Core 3 Test 1 "rawhide" with:
openssh-3.9p1-3
xorg-x11-6.7.99.903-5

-Chris Kuivenhoven


Comment 3 Barry K. Nathan 2004-09-05 12:35:53 UTC
I'll retest at some point in the next few days. (I'm *real* busy with
other stuff so I don't know for sure that I'll be able to fit it in
though.)

Comment 4 Barry K. Nathan 2004-09-29 11:47:58 UTC
Ugh... things have sure been busy. :( I *finally* got a chance to
retest this, albeit on RHEL 4 beta 1, not FC3-test or rawhide. I can't
reproduce this anymore, so I'll close the bug.


Note You need to log in before you can comment on or make changes to this bug.